## javax.mail
Class MessageRemovedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.mail.MessagingException
                  javax.mail.MessageRemovedException

All Implemented Interfaces:
  java.io.Serializable

    public class MessageRemovedException

extends MessagingException

The exception thrown when an invalid method is invoked on an expunged Message. The only valid methods on an expunged Message are `isExpunged()` and `getMessageNumber()`.

See Also:
  `Message.isExpunged()`, `Message.getMessageNumber()`, Serialized Form

Constructor Summary
`MessageRemovedException()` Constructs a MessageRemovedException with no detail message.
`MessageRemovedException(java.lang.String s)` Constructs a MessageRemovedException with the specified detail message.

Method Summary

Methods inherited from class javax.mail.MessagingException
`getCause, getNextException, setNextException, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageRemovedException

    public MessageRemovedException()

  Constructs a MessageRemovedException with no detail message.

### MessageRemovedException

    public MessageRemovedException(java.lang.String s)

  Constructs a MessageRemovedException with the specified detail message.

  Parameters:
    `s` - the detail message